---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libdisposeenv001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4EAD0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50A10, symBinAddr: 0x8100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50E00, symBinAddr: 0x84F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51DA0, symBinAddr: 0x9490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51DB0, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4E760, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4E764, symBinAddr: 0x60A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4E768, symBinAddr: 0x60A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4E8C0, symBinAddr: 0x60B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4E978, symBinAddr: 0x6168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4E97C, symBinAddr: 0x616C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4E980, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4E984, symBinAddr: 0x6174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4E988, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4E990, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4E9A0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4E9A8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4E9B0, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4E9B8, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4E9C0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4E9C8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x11A0, symSize: 0x80 }
  - { offsetInCU: 0x91A5, offset: 0x91A5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x10F0, symSize: 0xB0 }
  - { offsetInCU: 0x9200, offset: 0x9200, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xFF0, symSize: 0x100 }
  - { offsetInCU: 0x9493, offset: 0x9493, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1220, symSize: 0xC0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x12E0, symSize: 0x220 }
  - { offsetInCU: 0x96CA, offset: 0x96CA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1500, symSize: 0xA0 }
  - { offsetInCU: 0x977D, offset: 0x977D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x15A0, symSize: 0x110 }
  - { offsetInCU: 0x9873, offset: 0x9873, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x16B0, symSize: 0x150 }
  - { offsetInCU: 0x99D0, offset: 0x99D0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1800, symSize: 0x30 }
  - { offsetInCU: 0x9A59, offset: 0x9A59, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1830, symSize: 0x150 }
  - { offsetInCU: 0x9C51, offset: 0x9C51, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1980, symSize: 0x160 }
  - { offsetInCU: 0x9F11, offset: 0x9F11, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1AE0, symSize: 0x4A0 }
  - { offsetInCU: 0xA184, offset: 0xA184, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1F80, symSize: 0x1B0 }
  - { offsetInCU: 0xA39F, offset: 0xA39F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2130, symSize: 0xA0 }
  - { offsetInCU: 0xA46E, offset: 0xA46E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x21D0, symSize: 0x20 }
  - { offsetInCU: 0xA4A5, offset: 0xA4A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x21F0, symSize: 0x20 }
  - { offsetInCU: 0xA4DC, offset: 0xA4DC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2210, symSize: 0x20 }
  - { offsetInCU: 0xA64B, offset: 0xA64B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2230, symSize: 0x1A0 }
  - { offsetInCU: 0xA967, offset: 0xA967, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x23D0, symSize: 0x130 }
  - { offsetInCU: 0xAB17, offset: 0xAB17, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2500, symSize: 0x80 }
  - { offsetInCU: 0xABE0, offset: 0xABE0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2580, symSize: 0x6A0 }
  - { offsetInCU: 0xB775, offset: 0xB775, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9DA0, symBinAddr: 0x34B0, symSize: 0xB0 }
  - { offsetInCU: 0xB7EC, offset: 0xB7EC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2C20, symSize: 0x70 }
  - { offsetInCU: 0xB888, offset: 0xB888, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2C90, symSize: 0xA0 }
  - { offsetInCU: 0xB967, offset: 0xB967, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2D30, symSize: 0x40 }
  - { offsetInCU: 0xBA5D, offset: 0xBA5D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2D70, symSize: 0x2B0 }
  - { offsetInCU: 0xBE03, offset: 0xBE03, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3020, symSize: 0xC0 }
  - { offsetInCU: 0xBF49, offset: 0xBF49, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x30E0, symSize: 0x10 }
  - { offsetInCU: 0xC00B, offset: 0xC00B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x30F0, symSize: 0x220 }
  - { offsetInCU: 0xC308, offset: 0xC308, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3310, symSize: 0x10 }
  - { offsetInCU: 0xC365, offset: 0xC365, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3320, symSize: 0x180 }
  - { offsetInCU: 0xC546, offset: 0xC546, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D90, symBinAddr: 0x34A0, symSize: 0x10 }
  - { offsetInCU: 0xC5A4, offset: 0xC5A4, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E50, symBinAddr: 0x3560, symSize: 0x36A }
...
